hp-setup can not recognize hp-1018 usb printer

Bug #1315408 reported by Arie Skliarouk on 2014-05-02
106
This bug affects 21 people
Affects Status Importance Assigned to Milestone
HPLIP
Undecided
Sarbeswar Meher

Bug Description

on ubuntu 13.10 my USB printer hp-1018 worked seamlessly.

Upgrade to 14.04 (hplip 3.14.3-0ubuntu3) caused hp-setup not to recognize the printer anymore (error: No devices found on bus: usb).

The printer is visible using lsusb command:
Bus 002 Device 013: ID 03f0:4117 Hewlett-Packard LaserJet 1018

and dmesg:
[12680.164553] usb 2-4.1: New USB device found, idVendor=03f0, idProduct=4117
[12680.164558] usb 2-4.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
[12680.164562] usb 2-4.1: Product: HP LaserJet 1018
[12680.164565] usb 2-4.1: Manufacturer: Hewlett-Packard
[12680.164568] usb 2-4.1: SerialNumber: KP1A0YP

I ran command "getweb 1018" to get the firmware and verified it have been downloaded properly:
root@cmdesk09:~# locate sihp1018
/lib/firmware/hp/sihp1018.dl

Arie Skliarouk (skliarie) wrote :

Weird, after reboot everything started working... close the bug please.

Arie Skliarouk (skliarie) wrote :

The bug is still relevant, the printer works properly on ubuntu 14.04 under kernel 3.8.0 (taken from ubuntu 12.04).

Can you try downloading hplip-3.14.4.run file from http://hplipopensource.com and run command 'sh hplip-3.14.4.run' in terminal to install latest hplip. Let us know if you are still seeing the same issue. If the issue remains please provide us the output of 'lsusb -d 03f0:4117 -v'.

-------- Original message --------
From: Arie Skliarouk <email address hidden>
Date: 25/05/2014 2:34 AM (GMT+05:30)
To: <email address hidden>
Subject: [Bug 1315408] Re: hp-setup can not recognize hp-1018 usb printer

The bug is still relevant, the printer works properly on ubuntu 14.04
under kernel 3.8.0 (taken from ubuntu 12.04).

--
You received this bug notification because you are a member of HP Linux
Imaging and Printing, which is subscribed to HPLIP.
Matching subscriptions: HP Linux Imaging and Printing, HP Linux Imaging and Printing, HP Linux Imaging and Printing, HPLIP
https://bugs.launchpad.net/bugs/1315408

Title:
  hp-setup can not recognize hp-1018 usb printer

Status in HP Linux Imaging and Printing:
  New

Bug description:
  on ubuntu 13.10 my USB printer hp-1018 worked seamlessly.

  Upgrade to 14.04 (hplip 3.14.3-0ubuntu3) caused hp-setup not to
  recognize the printer anymore (error: No devices found on bus: usb).

  The printer is visible using lsusb command:
  Bus 002 Device 013: ID 03f0:4117 Hewlett-Packard LaserJet 1018

  and dmesg:
  [12680.164553] usb 2-4.1: New USB device found, idVendor=03f0, idProduct=4117
  [12680.164558] usb 2-4.1: New USB device strings: Mfr=1, Product=2, SerialNumber=3
  [12680.164562] usb 2-4.1: Product: HP LaserJet 1018
  [12680.164565] usb 2-4.1: Manufacturer: Hewlett-Packard
  [12680.164568] usb 2-4.1: SerialNumber: KP1A0YP

  I ran command "getweb 1018" to get the firmware and verified it have been downloaded properly:
  root@cmdesk09:~# locate sihp1018
  /lib/firmware/hp/sihp1018.dl

To manage notifications about this bug go to:
https://bugs.launchpad.net/hplip/+bug/1315408/+subscriptions

Arie Skliarouk (skliarie) wrote :

Same story for a Hp Laser Jet P1007 user (http://askubuntu.com/questions/464651/problem-with-printing-hplip-in-ubuntu-14-04/488484#488484)

Somebody tried cups 3.14.6 and it failed in the same way:
https://answers.launchpad.net/hplip/+question/249391

In rare cases the printer *is* recognized, especially immediately after boot (or repeately power-cycling the printer and USB). This makes me think there is some timing problem in detecting the printer in kernel or loading corresponding firmware.

Swarup Dev (swarup-bhai1) wrote :

I am also having the same issue, using Ubuntu 14.04 and it does not recognize the printer HP Laserjet 1018. This printer has worked flawlessly with all previous version of Ubuntu I have used. It is only 14.04 which cannot recognize my printer, the HP LJ 1018. Would be very grateful for a solution to this bug.

Arie Skliarouk (skliarie) wrote :

Here are lines from /var/log/syslog when the printer is connected to USB:

Jul 4 10:16:56 cmdesk09 logger: loading HP Device 002 022
Jul 4 10:16:56 cmdesk09 logger: loading hp_laserjet_1018 firmware 002 022
Jul 4 10:17:07 cmdesk09 python: io/hpmud/musb.c 150: unable get_string_descriptor -7: Resource temporarily unavailable
Jul 4 10:17:07 cmdesk09 python: io/hpmud/musb.c 2211: invalid product id string ret=-7
Jul 4 10:17:12 cmdesk09 python: io/hpmud/musb.c 150: unable get_string_descriptor -7: Resource temporarily unavailable
Jul 4 10:17:12 cmdesk09 python: io/hpmud/musb.c 2216: invalid serial id string ret=-7
Jul 4 10:17:17 cmdesk09 python: io/hpmud/musb.c 150: unable get_string_descriptor -7: Resource temporarily unavailable
Jul 4 10:17:17 cmdesk09 python: io/hpmud/musb.c 2080: invalid product id string ret=-7
Jul 4 10:17:22 cmdesk09 python: io/hpmud/musb.c 150: unable get_string_descriptor -7: Resource temporarily unavailable
Jul 4 10:17:22 cmdesk09 python: io/hpmud/musb.c 2085: invalid serial id string ret=-7
Jul 4 10:17:27 cmdesk09 python: io/hpmud/musb.c 150: unable get_string_descriptor -7: Resource temporarily unavailable
Jul 4 10:17:27 cmdesk09 python: io/hpmud/musb.c 2090: invalid manufacturer string ret=-7
Jul 4 10:17:27 cmdesk09 hp-firmware: hp-firmware[18175]: error: Invalid USB Device ID or USB bus ID. No device found.

Same result happens if hp-firmware is ran manually (instead by udev on printer's being connected to USB):
root@cmdesk09:~# lsusb | grep 1018
Bus 002 Device 022: ID 03f0:4117 Hewlett-Packard LaserJet 1018
root@cmdesk09:~# /usr/share/hplip/firmware.py -y0 -s002:022

It appears that some kind of firmware is indeed loaded, as the printer does produces some noise when connected to USB for the first time.

running hp-firmware manually yields following error (in syslog):
Jul 4 10:22:08 cmdesk09 hp-firmware: hp-firmware[18498]: error: No devices that support firmware download found.

WORKAROUND: use hplip from ubuntu 13.10 (use "sudo su -")

1) Remove hplip of 14.04 (for some reason apt-get won't do that automatically)
apt-get remove hplip

2) Add repo strings for 13.10
cat > /etc/apt/sources.list.d/saucy.list <<EOF
deb http://il.archive.ubuntu.com/ubuntu/ saucy main restricted
deb http://il.archive.ubuntu.com/ubuntu/ saucy universe
deb http://il.archive.ubuntu.com/ubuntu/ saucy multiverse
EOF

3) apt-get update

4) install hplip of 13.10
apt-get install hplip=3.13.9-1 libhpmud0=3.13.9-1 libsane-hpaio=3.13.9-1 hplip-data=3.13.9-1 printer-driver-hpcups=3.13.9-1

Arie Skliarouk (skliarie) wrote :

One more step to the workaround above:

5) pin hplip to protect from upgrades
echo hplip hold | dpkg --set-selections

Swarup Dev (swarup-bhai1) wrote :

Please guide me how to execute the second step in the workaround. I became root and then tried executing the lines one at a time and when that didn't work, tried executing them all together. But nothing happened. Here is the step I refer to:

=======================
cat > /etc/apt/sources.list.d/saucy.list <<EOF
deb http://il.archive.ubuntu.com/ubuntu/ saucy main restricted
deb http://il.archive.ubuntu.com/ubuntu/ saucy universe
deb http://il.archive.ubuntu.com/ubuntu/ saucy multiverse
EOF
=======================

I could not understand how to execute the above. Your guidance is needed :-)

Arie Skliarouk (skliarie) wrote :

The "nothing happened" is wrong, the command did create file /etc/apt/sources.list.d/saucy.list with the three lines.
You can verify that by seeing the file's content (cat /etc/apt/sources.list.d/saucy.list)

Swarup Dev (swarup-bhai1) wrote :

I just checked as you suggested, and the file /etc/apt/sources.list.d/saucy.list was indeed made. Only the first of the three lines had been added, so I opened nemo as root and added the other two lines. I then followed the rest of your instructions, and to my great joy the printer printed! Great work, and thanks for the workaround!

Now, during the installation of hpilp at one point it said I needed to shut down the computer and reboot to complete the installation. So I did that, and left the printer connected. When it rebooted, it did something to the printer setup, asking me for my password in the process. I gave the password. When I then tried to print again, nothing but silence and the same old error messages. So I turned off the printer and turned it back on, and it was immediately recognized, and again hplip started up, offering to install the driver for the printer. So I let it do so. And now it is again printing fine.

So after the above experience, two questions:

1) Should I always make sure the printer is not connected when I boot up?
2) Is it always going to need to reinstall the driver before I print, or if I connect the printer only after booting, will that be sufficient to keep the current driver installation setup active?

Thanks again for your help!

Arie Skliarouk (skliarie) wrote :

I using cups, not gnome, so can't answer your questions, sorry.

Swarup Dev (dinbandhu) wrote :

I use Ubuntu 14.04 Unity, so I'm not using gnome either. What does Unity
use-- cups?

On 07/08/2014 02:47 AM, Arie Skliarouk wrote:
> I using cups, not gnome, so can't answer your questions, sorry.
>

Arie Skliarouk (skliarie) wrote :

No idea, I use FVWM :)

Gareth Reeve (garethreeve) wrote :

Tied the work around
seemed to get a little further , i.e download of the new hp plugin recognised the printer but still would not print , initially this was a failure to download firmware error and now fails to recognise the usb even when i try manually to add this

At this rate may have to downgrade the system back to 13.10

Swarup Dev (swarup-bhai1) wrote :

In my earlier report above, I thought that the workaround was going to work for me just fine, as when it installed, the printer worked. And one subsequent time I used it, it worked again. But there are two problems now:

1) Every time I plug the printer in and turn it on, the computer asks for my password and reinstalls the driver plug in. I give permisison to install it, and usually then get a reply that the plug-in has successfully installed. But sometimes it gives two messages-- first one saying the installation failed, and then when I close that another message behind it saying the installation was successful. But I have to go through this every time I turn on the printer.

2) It is no longer printing. It installs the driver plug in every time I turn it on, but does not print. I have several print orders pending now, and in the status window it shows the print orders, and next to each is the status "pending - not connected ?". So it does not seem to be seeing the printer any more.

We definitely need a more dependable solution to this issue.

Changed in hplip:
assignee: nobody → Sarbeswar Meher (sarbeswar-meher)
Martin Spacek (mspacek) on 2014-07-14
Changed in hplip:
status: New → Confirmed
Dvanzo (danielvanzo) wrote :

Just in case... I can print to my Hp-1018 just changing the usb port where it is connected, turning it off and again turning it on... Isn't elegant, but it is working...

To Do (entodoays) wrote :

The same problem is present on a Laserjet P1102. I found a workaround. Simply remove the printer from the list and add it again. It's annoying but works all the time.

One user suggested I clear all files from /var/spool/cups/ except the tmp folder. I tested it and it seems to work but I'm not sure.

Also, sometimes changing USB port does make the printer work.

I also have the same problem with Ubuntu 12.04 and a Laserjet P1102w. I can also confirm that changing the USB port some times solves the problem. Please, I need a real solution because I share the printer with a lot of people.

charles mask (chafile2) wrote :

Same here on two different computers running 14.04. System can't find the HP 1020 printer after installing the latest "Hplip-3.14.6.run" file on both.

Fortunately I kept Windows XP on the hard drive of both machines, so my work around plan will be to capture what I want to a file, and send it to a special folder on Windows XP drive, then later reboot into XP to print the file(s) safely offline.

Svyatoslav (zemlyanukhinsv) wrote :

Same thing. Printer begins to work only after switching it off/on. But if it runs out of paper than it changes its state back to offline. So you should always cycle it on/off on/off....on/off in order to print normally.

Evgeniy (evg73) wrote :

The workaround suggested by @skliarie helped me on Linux Mint 17. Thanks!

Venkateshwaran R (waran777) wrote :

I struggled with HP 1018 (Ubuntu 14.04)for nearly two hours. After several reinstalls of HPLIP and HPLiptoolbox, the solution that seems to work for me is removing f002zjs. I do not remember installing this but some how it was present. After remvoing , printer seems to work fine. Tested through couple reboots and everything seems to be okay so far.

Martin Spacek (mspacek) wrote :

@waran777, I think you meant "foo2zjs", not "f002zjs". I tried uninstalling the two packages related to "foo2zjs" using synaptic, deleted the LJ 1018 printer, installed hp-plugins, and it still wouldn't work. Then, I tried reinstalling all HPLIP packages in synaptic, plus I also installed the HPLIP toolbox (the "hplip-gui" package), which I don't think I've ever used before. I let it do some self-diagnostic thing which then went off and downloaded a few more xsane related packages (for scanning for some reason), and now, it works! Wow! It's late 2014 and I can print to my USB printer again! Thanks for the tip :)

reg (ppguara) wrote :

@waran777 and @mspacek:

Thanks very much you both. Had to install 14.04 coming from 13.04 recently. Never had problems with cups on 13.04.
Wasn't expecting so much difficult, my system recogniozed the printer when i installed the drivers be cups or foomatic, but the next day it was all over... Tried a lot of things...

Followed your tips:
-had ran "hp-plugins" before and decided to not reinstall or remove them, i let as it was
-synaptic: uninstalled all the foo2zjs packages
-deleted the printer
-boot
-synaptic: reinstalled every hplip package that was already installed AND
                  installed all the other hplip packages, including the hplip toolbox that i did not know before
-boot

Printer now is working well, recognized after re-starting.

bobptz (bobptz) wrote :

reg,

is your system still working (and printing)?

I am about to buy a new and compatible to 14.04 printer. So I thought if it is worth to visit this thread again.

L'Africain (lafricain79) wrote :

Hi,
The solution who works well is in post #3, it's using foo2zjs (see in french : https://doc.ubuntu-fr.org/tutoriel/imprimante_pilote_foo2zjs.html) after uninstalling everything about hplip.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers